#fullscreen {
    background-image: url("img/bg.png");
}

#game_area {
    width: 80%;
    min-height: 80%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    position: relative;
}

.left_container {
    width: 30%;
    height: 80%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}

/* Input */
#input_area {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
    /* border: 1px solid #111; */
}

#definition {
    width: 100%;
    margin-top: 5%;
    padding: 2% 2% 2% 50px;
    border-radius: 20px;
    border: 1px solid #111;
    background-color: #FFCD3D;
    font-style: italic;
    text-align: left;

    background-image: url("img/question_black.png");
    background-position: 15px 15px;
    background-repeat: no-repeat;
    background-size: 0.9em;
}

#word_preview {
    display: flex;
    flex-direction: row;
    justify-content: center;
    position: relative;
    margin: 2% 0px;
}

.blank {
    width: 30px;
    height: 30px !important;
    border: 1px solid #707070;
    background-color: #fff;
    text-transform: uppercase;
}

.feedback {
    width: 30px;
    height: 30px;
    position: absolute;
    right: 0px;
}

.btn_container {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

/* Crossword */
.cw_table {
    width: 68%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-left: 2%;
    background-color: #FFFFFFBD;
}

.cw_row {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

.cw_font {
    width: 30px;
    height: 30px;
    border: 1px solid #707070;
    background-color: #fff;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    font-weight: light;
}

.filled * {
    color: #111;
}

.answer {
    font-weight: bold;
    border: 2px #2D2D2D solid;
}

.cw_helper {
    padding: 5px;
    background-color: #626262;
    background-image: url("img/question_white.png");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
    background-origin: content-box;
}

.active_helper {
    background-color: #FFCD3D;
    background-image: url("img/question_black.png");
}

/* Responsive */
@media screen and (max-width:1400px) {
    #definition {
        font-size: 0.9em !important;
    }

    .cw_font,
    .blank {
        width: 22px;
        height: 22px;
        font-size: 0.8em !important;
        padding: 3px;
    }
}

@media screen and (max-width:1100px) {
    #game_area {
        width: 90%;
    }

    #definition {
        font-size: 0.7em !important;
    }

    .cw_font,
    .blank {
        width: 18px;
        height: 18px;
        font-size: 0.8em !important;
        padding: 1px;
    }
}

@media screen and (max-width:1000px) {
    #definition {
        font-size: 0.6em !important;
    }
}